Videos
Delete subtitle
DELETE
/videos/{videoId}/subtitles/{subtitleId}Remove a subtitle from a video using API key authentication
Authorization
ApiKeyAuth X-API-Key<token>
Internal API key for service-to-service communication.
In: header
Path Parameters
videoId*string
Video ID
subtitleId*string
Subtitle ID
Response Body
200application/json
OK
type: object
message?string
status?string
401application/json
Unauthorized
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
403application/json
Forbidden
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
404application/json
Not Found
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
500application/json
Internal Server Error
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
curl -X DELETE "https://api.rixl.com/videos/V3idRI23XL/subtitles/S4ubRI23XL"fetch("https://api.rixl.com/videos/V3idRI23XL/subtitles/S4ubRI23XL", {
method: "DELETE"
})package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.rixl.com/videos/V3idRI23XL/subtitles/S4ubRI23XL"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.rixl.com/videos/V3idRI23XL/subtitles/S4ubRI23XL"
response = requests.request("DELETE", url)
print(response.text)import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
HttpClient client = HttpClient.newBuilder()
.connectTimeout(Duration.ofSeconds(10))
.build();
HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
.uri(URI.create("https://api.rixl.com/videos/V3idRI23XL/subtitles/S4ubRI23XL"))
.DELETE()
.build();
try {
HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
System.out.println("Status code: " + response.statusCode());
System.out.println("Response body: " + response.body());
} catch (Exception e) {
e.printStackTrace();
}using System;
using System.Net.Http;
using System.Text;
var client = new HttpClient();
var response = await client.DeleteAsync("https://api.rixl.com/videos/V3idRI23XL/subtitles/S4ubRI23XL");
var responseBody = await response.Content.ReadAsStringAsync();OK
application/json
{
"message": "Subtitle deleted",
"status": "ok"
}Unauthorized
application/json
{
"code": 401,
"details": "The provided ID is not valid",
"error": "Unauthorized"
}Forbidden
application/json
{
"code": 403,
"details": "The provided ID is not valid",
"error": "Forbidden"
}Not Found
application/json
{
"code": 404,
"details": "The provided ID is not valid",
"error": "Not Found"
}Internal Server Error
application/json
{
"code": 500,
"details": "The provided ID is not valid",
"error": "Internal Server Error"
}